Subject: Re: [idn] (bias) summary of reordering discussion

From: liana Ye <[email-masked]>
Date: Thu, 15 Nov 2001 23:55:23 -0800

Hi, Martin:

Sorry that I have not respond to you on your comments 
earlier, since I was run out of time to explain what I meant.

The frame that I have in mind is in IDNA now as 
toASCII and toUnicode and is consistent with what I have 
called idn-label earlier in idn-map I-D.  Now that someone 
else have defind the frame, and my question is still why not 
let the user group define their own mapping as TSconv-2 
does? Why do we trying so hard to exclude them? 

As you have pointed out, a lot of people have been working
hard to come up with a 100% solution, and there isn't one. 
Is it the time we take a limited solution say, only 1-1 mappings
of TC/SC is allowed and trading off n-1, 1-n cases (like the 
SC standard did) and telling the user, "sorry this is an 
identifier system, not a word processor".  Or a layered 
approach, to hide its imperfection?

Liana

On Fri, 26 Oct 2001 16:08:28 +0900 Martin Duerst <[email-masked]> writes:
> At 02:57 01/10/25 -0700, liana Ye wrote:
> 
> >What if we define a frame and  make it possible to let any
> >script to be mapped by their own user group, as long as
> >the user group can come up with their agreement on how
> >to do the mapping. The [nameprep] is severing as example
> >of such mapping. BTW, is "PROFILE" have such meaning?
> 
> Well, there is only one DNS for the whole world. That's
> why profiles or frames (or whatever you call it) are not
> a good idea.
> 
> Also, DNS server have heavy loads. That's why some kinds
> of solutions designed by user groups may not be workable,
> and why we have DNS experts in this group.
> 
> Regards,    Martin.
> 
> 
> 
> >Liana
> >
> >
> >On Thu, 25 Oct 2001 10:08:48 +0200 
> =?ISO-8859-1?Q?Patrik_F=E4ltstr=F6m?=
> ><[email-masked]> writes:
> > > --On 01-10-25 12.54 +0900 Martin Duerst <[email-masked]> wrote:
> > >
> > > > At 19:41 01/10/23 +0200, Patrik F舁tstr仁 wrote:
> > > >
> > > >> o Nameprep mappings is defined by UTC, not IETF.
> > > >>   -> I am nervous when we in IETF talk about these things
> > > >
> > > > The main mappings used by nameprep (casemapping and 
> normalization)
> > > > are defined by the UTC. But it is IETF that chooses which 
> mappings
> > > > to select (e.g. NFC vs. NFKC), it is IETF that may request 
> other
> > > > mappings to be created (NFC was created based on a request by 
> W3C,
> > > > an additional file was added to help IETF with case mapping,
> > > > a (tentative, implicit) request for TC/SC mappings was turned
> > > down).
> > > >
> > > > Also, nameprep contains a few additional mappings and 
> prohibitions
> > > > that are motivated by the specific situation of domain names,
> > > > without taking these from anywhere.
> > >
> > > You are correct, but I am still nervous.
> > >
> > >    paf
> > >
> > >
> 
>